Relative/Absolute paths are not recalculated on project save

2009-08-29 07:38 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: Jürgen Fischer

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11965

Description

Part 1

1. Create new project with a shapefile

2. Clear the checkbox to save relative paths, resave the project

3. Check paths - they are relative, fine

4. Resave the project one folder up.

5. Check paths - they did not change, but they should have.

History

#1 - 2009-08-30 08:32 AM - Giovanni Manghi

Under Linux I can replicate the problem, but only if the project is saved in a directory in a level under (not above, as described) the one where the data

reside (assuming that all the layers files are in the same folder). I'll make further tests.

#2 - 2009-08-31 03:28 PM - Giovanni Manghi

I tested the behaviour also under windows (qgis-dev from osgeo4w) and the result seems the same to me. When I save a project (after clearing the

checkbox to save relative paths) the path to a layer in the .qgs file is relative if the project file resides in a folder that stays at the same level or above the

one of the layer. If the project file resides in a folder below the one of the layer, then the path is absolute.

So, if you have layers coming from different folders, and depending where you save the project, you may have correct relative paths, incorrect absolute

ones and even a project file with a mix of relative and absolute paths.

#3 - 2009-09-06 07:24 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:ddd64be8 (SVN r11572)

2025-12-15 1/1


